Description

A complaint I'm receiving from my users is that the email notifications are too verbose.  This may be because we make tons of

updates to tickets that they just wouldn't care about.  These are little things like when we forget to update the ticket status or enter a

start date.  We'll edit it once, forget something, go back and edit it again and two notifications go out for what should be a 1 (or no)

e-mail change.

What I'm looking for is to be able to set the verbosity level at the granularity of project member.  Users might want to be notified in the

following ways:

Only if a certain field is included in an update (Like Notes for example)

Only if a certain field has changed in the update (Like Status or %Done)

I'll think about it some more and see if I can come up with a better implementation or more examples...

History

#1 - 2009-05-21 16:50 - Cyber Sprocket

bump.

We'd also like the ability for users to "turn off all email notifications".   That may require an additional feature where admin can "allow / disallow" the

"turn off all email" to be available to users.

My team always logs in to the system, it is a requirement of their job.   The email is thus redundant and even annoying as we build out the issues

listing for a 2-year 20,000 tasks project.   That's a LOT of email!

#2 - 2009-05-21 16:58 - Nanda P

+1

#3 - 2009-05-21 17:16 - Daniel Jones

The ability also for the email notifications to be bundled up would also be a nice way to resolve the extra emails. That way for multiple changes (in a

relatively short time frame) only a single email gets sent.

#4 - 2009-06-23 21:16 - Anonymous

In my ideal world, users would be able to define their own issue filters to control their email notifications.  Some filters could trigger an immediate

email, others would include select issues to include in a digest email, and unmatched issues would not result in an email.

Users would also be able to set their own schedule for when digest emails are sent.  I know it's a lot to ask for :)

#5 - 2011-03-24 06:07 - Toshi MARUYAMA

- Category set to Email notifications
